ConstByteArrayParameter Class Reference

used to pass byte array input as part of a NameValuePairs object More...

`#include <algparam.h>`

## Public Member Functions

| ConstByteArrayParameter (const char *data=NULL, bool deepCopy=false)
| ConstByteArrayParameter (const byte *data, size_t size, bool deepCopy=false)
template<class T >
| ConstByteArrayParameter (const T &string, bool deepCopy=false)
void | Assign (const byte *data, size_t size, bool deepCopy)
const byte * | begin () const
const byte * | end () const
size_t | size () const

## Detailed Description

used to pass byte array input as part of a NameValuePairs object

the deepCopy option is used when the NameValuePairs object can't keep a copy of the data available

Definition at line 13 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h